'DEMO OF LBBROWSE2.DLL
'******************************************************
'LBBROWSE2.DLL is copyright Alyce Watson, 2005.
'LBBROWSE2.DLL is freeware. You may use it in any application,
'including commercial products. A credit to the author and a
'link to the website must be included in your program's
'documentation or readme file, and in any source code released
'to the public.
'Alyce Watson
'http://alycesrestaurant.com/
'******************************************************
'Use this DLL at your own risk. The author bears no
'responsibility for errors that may occur as the result
'of its use. It is not warranted to be suitable for any
'application or Operating System. Use of this DLL indicates
'that you hold the author harmless for any problems that
'occur from its use.
'******************************************************
'You may not reverse-engineer this DLL. You may not
'claim it as your own work.
'******************************************************
'Please see readme.txt for documentation and instructions.
'******************************************************

'nomainwin
on error goto [ooops]

WindowWidth=734:WindowHeight=592
menu #1, "&File","&Home",[home],"&Search",[search],"&Cancel",[cancel],_
   "&Forward",[forward], "&Back",[back],"&Refresh",[refresh],|,_
    "&Open File",[open],"&Navigate",[navigate],"View &GIF",[gif],|,_
    "&Print",[print],|,"E&xit",[quit]

menu #1, "&Browser","&Enable Browser",[enable],"&Disable Browser",[disable],_
    "Sh&ow Browser",[show],"&Hide Browser",[hide],|,_
    "Show S&tatusbar",[showstatusbar],"Hide Stat&usbar",[hidestatusbar],|,_
    "Get &Title",[title],"Get Status&Text",[status],"&Load String",[loadstring],|,_
    "Get &URL", [geturl], "Get &History", [gethistory], "&Clear History", [clearhistory]

menu #1, "&Extras", "&Add To Favorites",[addFav],"&Font Size",[fontSize],"&View Source",[viewSource],_
    "&Internet Options",[internetOptions],"Print Pre&view",[printPreview],"Page S&etup",[pageSetup],_
    "Send E&Mail",[eMail],"P&roperties",[properties],"&DesktopShortcut",[shortcut]

menu #1, "&Help", "&Version",[getVersion]

open "LB-Browser DLL Demo" for window as #1
#1 "trapclose [quit]"
#1 "resizehandler [resizeMe]"

open "lbbrowse2.dll" for dll as #b

    hMain = hwnd(#1)
    'url$="c:\test.txt" 'file on disk
    url$ = "http://www.libertybasic.com/"
    calldll #b, "CreateBrowser", hMain as ulong, 0 as long, _
        0 as long, 724 as long, 550 as long,_
        url$ as ptr, 0 as long, result as ulong

    if result<>0 then
        notice "Unable to load browser control."
        end
    end if

    'activate resizehandler
    calldll #user32, "MoveWindow",hMain as ulong, UpperLeftX as long, UpperLeftY as long,_
    730 as long, 590 as long, 1 as long, ret as long
wait

[quit]
    calldll #b, "DestroyBrowser",  re as void
    close #b:close #1:end


[getVersion]
    calldll #b, "DLLVersion", ver as long
    notice "Version of DLL is: ";ver
    wait

[hidestatusbar]
    calldll #b, "ShowStatusbar", 0 as long, re as void
    wait

[showstatusbar]
    calldll #b, "ShowStatusbar", 1 as long, re as void
    wait

[geturl]
    geturl$=space$(1000)
    calldll #b, "GetURL", geturl$ as ptr, re as void
    notice "Current URL is:  "; geturl$
    wait

[gethistory]
    'limit to history is string 32000 characters long
    'history is list of all URLs accessed in this session
    'URLs are separated by spaces. Use word$() to parse, as below
    'function returns the length of the history string
    gethist$ = space$(32000)
    calldll #b, "GetHistory", gethist$ as ptr, re as ulong
    print "Length of return string is ";re
    i = 1
    while word$(gethist$,i)<>""
        print word$(gethist$,i)
        i = i + 1
    wend
    notice "History is printed to mainwin."
    wait

[clearhistory]
    'clears the internal DLL string holding the
    'list of visited URLs
    calldll #b, "ClearHistory", re as void
    wait

[title]
    title$=space$(1000)
    calldll #b, "GetTitle", title$ as ptr, re as void
    notice "Page title is:  "; title$
    wait

[status]
    status$=space$(1000)
    calldll #b, "GetStatusText", status$ as ptr, re as void
    notice "Status Text is: ";status$
    wait

[navigate]
    url$ = "http://alycesrestaurant.com/"
    prompt "Enter full URL.";url$
    if url$="" then wait
    calldll #b, "Navigate", url$ as ptr, ret as void
    wait

[open]
    filedialog "Open", "*.txt;*.jpg;*.htm",file$
    if file$="" then wait
    calldll #b, "Navigate", file$ as ptr, ret as void
    wait

[gif]
    filedialog "Open Animated GIF, JPG, etc.","*.gif;*.jpg",url$
    if url$="" then wait
    calldll #b, "Navigate", url$ as ptr, ret as void
    wait

[loadstring]
    html$ = "<html><head><h1>Liberty BASIC Rocks!</h1></head>"
    html$ = html$ + "<body>Liberty BASIC is an amazing language!</body></html>"
    calldll #b, "BrowserString", html$ as ptr, ret as void
    wait

[resizeMe]
    wide=WindowWidth : high = WindowHeight
    calldll #b, "MoveBrowser",0 as long, 0 as long, wide as long, high as long, re as void
    wait

[print]
    calldll #b, "BrowserPrint", re as void
    wait

[cancel]
    calldll #b, "Cancel", re as void
    wait

[home]
    calldll #b, "Home", re as void
    wait

[back]
    calldll #b, "Back", re as void
    wait

[forward]
    calldll #b, "Forward", re as void
    wait

[refresh]
    calldll #b, "Refresh", re as void
    wait

[search]
    calldll #b, "Search", re as void
    wait

[enable]
    calldll #b, "EnableBrowser", 1 as long, re as void
    wait

[disable]
    calldll #b, "EnableBrowser", 0 as long, re as void
    wait

[show]
    calldll #b, "ShowBrowser", 1 as long, re as void
    wait

[hide]
    calldll #b, "ShowBrowser", 0 as long, re as void
    wait

'***********************
[printPreview]
    calldll #b, "PrintPreview", re as void
    wait

[pageSetup]
    calldll #b, "PageSetup", re as void
    wait

[properties]
    calldll #b, "Properties", re as void
    wait

[shortcut]
    calldll #b, "MakeDesktopShortcut", re as void
    wait

[eMail]
    calldll #b, "SendEMail", re as void
    wait

[addFav]
    calldll #b, "AddToFavorites", re as void
    wait

[viewSource]
    calldll #b, "ViewSource", re as void
    wait

[internetOptions]
    calldll #b, "InternetOptions", re as void
    wait

[fontSize]
    size = 4
    prompt "Select a size, 1-5";size
    if size<=1 then size=1
    if size>=5 then size=5
    calldll #b, "DoFontSize", size as long, re as void
    wait

'***********************

[ooops] 'error handler
notice "Quitting program because of error. Error is ";Err$
goto [quit]
